Skip to main content
GET
/
api
/
v2
/
swaps
Get All Swaps
curl --request GET \
  --url https://api.layerswap.io/api/v2/swaps \
  --header 'X-LS-APIKEY: <api-key>'
import requests

url = "https://api.layerswap.io/api/v2/swaps"

headers = {"X-LS-APIKEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-LS-APIKEY': '<api-key>'}};

fetch('https://api.layerswap.io/api/v2/swaps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "metadata": {}
  },
  "data": [
    {
      "quote": {
        "total_fee": 123,
        "total_fee_in_usd": 123,
        "source_network": {
          "name": "<string>",
          "display_name": "<string>",
          "logo": "<string>",
          "chain_id": "<string>",
          "node_url": "<string>",
          "nodes": [
            "<string>"
          ],
          "transaction_explorer_template": "<string>",
          "account_explorer_template": "<string>",
          "source_rank": 123,
          "destination_rank": 123,
          "token": {
            "symbol": "<string>",
            "display_asset": "<string>",
            "logo": "<string>",
            "contract": "<string>",
            "decimals": 123,
            "price_in_usd": 123,
            "precision": 123,
            "listing_date": "2023-11-07T05:31:56Z",
            "source_rank": 123,
            "destination_rank": 123,
            "group": "<string>",
            "supports_gasless_deposit": true
          },
          "metadata": {
            "listing_date": "2023-11-07T05:31:56Z",
            "evm_oracle_contract": "<string>",
            "evm_multicall_contract": "<string>",
            "zks_paymaster_contract": "<string>",
            "watchdog_contract": "<string>"
          },
          "deposit_methods": [
            "<string>"
          ]
        },
        "source_token": {
          "symbol": "<string>",
          "display_asset": "<string>",
          "logo": "<string>",
          "contract": "<string>",
          "decimals": 123,
          "price_in_usd": 123,
          "precision": 123,
          "listing_date": "2023-11-07T05:31:56Z",
          "source_rank": 123,
          "destination_rank": 123,
          "group": "<string>",
          "supports_gasless_deposit": true
        },
        "destination_network": {
          "name": "<string>",
          "display_name": "<string>",
          "logo": "<string>",
          "chain_id": "<string>",
          "node_url": "<string>",
          "nodes": [
            "<string>"
          ],
          "transaction_explorer_template": "<string>",
          "account_explorer_template": "<string>",
          "source_rank": 123,
          "destination_rank": 123,
          "token": {
            "symbol": "<string>",
            "display_asset": "<string>",
            "logo": "<string>",
            "contract": "<string>",
            "decimals": 123,
            "price_in_usd": 123,
            "precision": 123,
            "listing_date": "2023-11-07T05:31:56Z",
            "source_rank": 123,
            "destination_rank": 123,
            "group": "<string>",
            "supports_gasless_deposit": true
          },
          "metadata": {
            "listing_date": "2023-11-07T05:31:56Z",
            "evm_oracle_contract": "<string>",
            "evm_multicall_contract": "<string>",
            "zks_paymaster_contract": "<string>",
            "watchdog_contract": "<string>"
          },
          "deposit_methods": [
            "<string>"
          ]
        },
        "destination_token": {
          "symbol": "<string>",
          "display_asset": "<string>",
          "logo": "<string>",
          "contract": "<string>",
          "decimals": 123,
          "price_in_usd": 123,
          "precision": 123,
          "listing_date": "2023-11-07T05:31:56Z",
          "source_rank": 123,
          "destination_rank": 123,
          "group": "<string>",
          "supports_gasless_deposit": true
        },
        "requested_amount": 123,
        "receive_amount": 123,
        "fee_discount": 123,
        "min_receive_amount": 123,
        "blockchain_fee": 123,
        "service_fee": 123,
        "avg_completion_time": "<string>",
        "refuel_in_source": 123,
        "slippage": 123,
        "rate": 123,
        "path": [
          {
            "provider": "<string>",
            "order": 123
          }
        ]
      },
      "refuel": {
        "token": {
          "symbol": "<string>",
          "display_asset": "<string>",
          "logo": "<string>",
          "contract": "<string>",
          "decimals": 123,
          "price_in_usd": 123,
          "precision": 123,
          "listing_date": "2023-11-07T05:31:56Z",
          "source_rank": 123,
          "destination_rank": 123,
          "group": "<string>",
          "supports_gasless_deposit": true
        },
        "network": {
          "name": "<string>",
          "display_name": "<string>",
          "logo": "<string>",
          "chain_id": "<string>",
          "node_url": "<string>",
          "nodes": [
            "<string>"
          ],
          "transaction_explorer_template": "<string>",
          "account_explorer_template": "<string>",
          "source_rank": 123,
          "destination_rank": 123,
          "token": {
            "symbol": "<string>",
            "display_asset": "<string>",
            "logo": "<string>",
            "contract": "<string>",
            "decimals": 123,
            "price_in_usd": 123,
            "precision": 123,
            "listing_date": "2023-11-07T05:31:56Z",
            "source_rank": 123,
            "destination_rank": 123,
            "group": "<string>",
            "supports_gasless_deposit": true
          },
          "metadata": {
            "listing_date": "2023-11-07T05:31:56Z",
            "evm_oracle_contract": "<string>",
            "evm_multicall_contract": "<string>",
            "zks_paymaster_contract": "<string>",
            "watchdog_contract": "<string>"
          },
          "deposit_methods": [
            "<string>"
          ]
        },
        "amount": 123,
        "amount_in_usd": 123
      },
      "reward": {
        "token": {
          "symbol": "<string>",
          "display_asset": "<string>",
          "logo": "<string>",
          "contract": "<string>",
          "decimals": 123,
          "price_in_usd": 123,
          "precision": 123,
          "listing_date": "2023-11-07T05:31:56Z",
          "source_rank": 123,
          "destination_rank": 123,
          "group": "<string>",
          "supports_gasless_deposit": true
        },
        "network": {
          "name": "<string>",
          "display_name": "<string>",
          "logo": "<string>",
          "chain_id": "<string>",
          "node_url": "<string>",
          "nodes": [
            "<string>"
          ],
          "transaction_explorer_template": "<string>",
          "account_explorer_template": "<string>",
          "source_rank": 123,
          "destination_rank": 123,
          "token": {
            "symbol": "<string>",
            "display_asset": "<string>",
            "logo": "<string>",
            "contract": "<string>",
            "decimals": 123,
            "price_in_usd": 123,
            "precision": 123,
            "listing_date": "2023-11-07T05:31:56Z",
            "source_rank": 123,
            "destination_rank": 123,
            "group": "<string>",
            "supports_gasless_deposit": true
          },
          "metadata": {
            "listing_date": "2023-11-07T05:31:56Z",
            "evm_oracle_contract": "<string>",
            "evm_multicall_contract": "<string>",
            "zks_paymaster_contract": "<string>",
            "watchdog_contract": "<string>"
          },
          "deposit_methods": [
            "<string>"
          ]
        },
        "amount": 123,
        "amount_in_usd": 123,
        "campaign_type": "<string>",
        "nft_contract_address": "<string>"
      },
      "swap": {
        "id": "<string>",
        "created_date": "2023-11-07T05:31:56Z",
        "source_network": {
          "name": "<string>",
          "display_name": "<string>",
          "logo": "<string>",
          "chain_id": "<string>",
          "node_url": "<string>",
          "nodes": [
            "<string>"
          ],
          "transaction_explorer_template": "<string>",
          "account_explorer_template": "<string>",
          "source_rank": 123,
          "destination_rank": 123,
          "token": {
            "symbol": "<string>",
            "display_asset": "<string>",
            "logo": "<string>",
            "contract": "<string>",
            "decimals": 123,
            "price_in_usd": 123,
            "precision": 123,
            "listing_date": "2023-11-07T05:31:56Z",
            "source_rank": 123,
            "destination_rank": 123,
            "group": "<string>",
            "supports_gasless_deposit": true
          },
          "metadata": {
            "listing_date": "2023-11-07T05:31:56Z",
            "evm_oracle_contract": "<string>",
            "evm_multicall_contract": "<string>",
            "zks_paymaster_contract": "<string>",
            "watchdog_contract": "<string>"
          },
          "deposit_methods": [
            "<string>"
          ]
        },
        "source_token": {
          "symbol": "<string>",
          "display_asset": "<string>",
          "logo": "<string>",
          "contract": "<string>",
          "decimals": 123,
          "price_in_usd": 123,
          "precision": 123,
          "listing_date": "2023-11-07T05:31:56Z",
          "source_rank": 123,
          "destination_rank": 123,
          "group": "<string>",
          "supports_gasless_deposit": true
        },
        "source_exchange": {
          "name": "<string>",
          "display_name": "<string>",
          "logo": "<string>",
          "metadata": {
            "oauth": {
              "authorize_url": "<string>",
              "connect_url": "<string>"
            },
            "listing_date": "2023-11-07T05:31:56Z"
          }
        },
        "destination_network": {
          "name": "<string>",
          "display_name": "<string>",
          "logo": "<string>",
          "chain_id": "<string>",
          "node_url": "<string>",
          "nodes": [
            "<string>"
          ],
          "transaction_explorer_template": "<string>",
          "account_explorer_template": "<string>",
          "source_rank": 123,
          "destination_rank": 123,
          "token": {
            "symbol": "<string>",
            "display_asset": "<string>",
            "logo": "<string>",
            "contract": "<string>",
            "decimals": 123,
            "price_in_usd": 123,
            "precision": 123,
            "listing_date": "2023-11-07T05:31:56Z",
            "source_rank": 123,
            "destination_rank": 123,
            "group": "<string>",
            "supports_gasless_deposit": true
          },
          "metadata": {
            "listing_date": "2023-11-07T05:31:56Z",
            "evm_oracle_contract": "<string>",
            "evm_multicall_contract": "<string>",
            "zks_paymaster_contract": "<string>",
            "watchdog_contract": "<string>"
          },
          "deposit_methods": [
            "<string>"
          ]
        },
        "destination_token": {
          "symbol": "<string>",
          "display_asset": "<string>",
          "logo": "<string>",
          "contract": "<string>",
          "decimals": 123,
          "price_in_usd": 123,
          "precision": 123,
          "listing_date": "2023-11-07T05:31:56Z",
          "source_rank": 123,
          "destination_rank": 123,
          "group": "<string>",
          "supports_gasless_deposit": true
        },
        "destination_exchange": {
          "name": "<string>",
          "display_name": "<string>",
          "logo": "<string>",
          "metadata": {
            "oauth": {
              "authorize_url": "<string>",
              "connect_url": "<string>"
            },
            "listing_date": "2023-11-07T05:31:56Z"
          }
        },
        "requested_amount": 123,
        "destination_address": "<string>",
        "source_address": "<string>",
        "status": "<string>",
        "fail_reason": "<string>",
        "use_deposit_address": true,
        "metadata": {
          "sequence_number": 123,
          "reference_id": "<string>",
          "exchange_account": "<string>"
        },
        "transactions": [
          {
            "from": "<string>",
            "to": "<string>",
            "timestamp": "2023-11-07T05:31:56Z",
            "transaction_hash": "<string>",
            "confirmations": 123,
            "max_confirmations": 123,
            "amount": 123,
            "type": "<string>",
            "status": "<string>",
            "token": {
              "symbol": "<string>",
              "display_asset": "<string>",
              "logo": "<string>",
              "contract": "<string>",
              "decimals": 123,
              "price_in_usd": 123,
              "precision": 123,
              "listing_date": "2023-11-07T05:31:56Z",
              "source_rank": 123,
              "destination_rank": 123,
              "group": "<string>",
              "supports_gasless_deposit": true
            },
            "network": {
              "name": "<string>",
              "display_name": "<string>",
              "logo": "<string>",
              "chain_id": "<string>",
              "node_url": "<string>",
              "nodes": [
                "<string>"
              ],
              "transaction_explorer_template": "<string>",
              "account_explorer_template": "<string>",
              "source_rank": 123,
              "destination_rank": 123,
              "token": {
                "symbol": "<string>",
                "display_asset": "<string>",
                "logo": "<string>",
                "contract": "<string>",
                "decimals": 123,
                "price_in_usd": 123,
                "precision": 123,
                "listing_date": "2023-11-07T05:31:56Z",
                "source_rank": 123,
                "destination_rank": 123,
                "group": "<string>",
                "supports_gasless_deposit": true
              },
              "metadata": {
                "listing_date": "2023-11-07T05:31:56Z",
                "evm_oracle_contract": "<string>",
                "evm_multicall_contract": "<string>",
                "zks_paymaster_contract": "<string>",
                "watchdog_contract": "<string>"
              },
              "deposit_methods": [
                "<string>"
              ]
            },
            "fee_amount": 123,
            "fee_token": {
              "symbol": "<string>",
              "display_asset": "<string>",
              "logo": "<string>",
              "contract": "<string>",
              "decimals": 123,
              "price_in_usd": 123,
              "precision": 123,
              "listing_date": "2023-11-07T05:31:56Z",
              "source_rank": 123,
              "destination_rank": 123,
              "group": "<string>",
              "supports_gasless_deposit": true
            }
          }
        ]
      }
    }
  ]
}

Authorizations

X-LS-APIKEY
string
header
required

Headers

X-LS-APIKEY
string
default:NDBxG+aon6WlbgIA2LfwmcbLU52qUL9qTnztTuTRPNSohf/VnxXpRaJlA5uLSQVqP8YGIiy/0mz+mMeZhLY4/Q

Query Parameters

address
string[]
page
integer<int32>
include_expired
boolean
statuses
enum<string>[]
Available options:
PendingDeposit,
Completed,
Failed,
Expired,
PendingWithdrawal,
PendingRefund,
Refunded
networks
string[]

Response

200 - application/json

Success

error
object
data
object[] | null